#! /bin/sh

# This script demonstrates a Libtool bug on HP-UX (checked for
# HP-UX 10.20 and HP-UX 11.00).  The first run triggers the bug,
# the second run provides a workaround (see Makefile.am).

# Enable SHLIB_PATH environment variable.
LDOPTS=+s
export LDOPTS

# Installation prefix.
prefix=/tmp/foobar-$$

for i
do
    case `expr $i \% 2 2> /dev/null` in
      0)
	fixme=no
	;;
      1)
	fixme=yes
	;;
      *)
	echo 'Usage: test.sh 0 1 2 3...' >&2
	echo '' >&2
	echo 'Odd numbers trigger the bug.' >&2
	echo 'Even numbers provide a workaround.' >&2
	exit 1
	;;
    esac

    rm -fr test$i
    mkdir test$i
    cd test$i
    ../configure --prefix=$prefix --enable-fixme=$fixme 2>&1 |
	tee ../test$i.config
    # make 'LIBTOOL=./libtool --debug' enables Libtool shell tracing.
    make 2>&1 | tee ../test$i.build
    make install 2>&1 | tee ../test$i.install
    cd ..

    rm -fr dist$i
    mkdir dist$i
    (cd $prefix && tar cf - .) | (cd dist$i && tar xf -)
    rm -fr $prefix
done

for i
do
    echo
    echo "*** Invoking dist$i/bin/baz"
    echo

    (cd dist$i && ../sandbox.sh baz) 2>&1 | tee test$i.check
done
